#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Mock D-Bus objects
Summary(pl.UTF-8):	Atrapa obiektów D-Bus
Name:		python3-dbusmock
Version:	0.27.5
Release:	1
License:	LGPL v3+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/python-dbusmock/
Source0:	https://files.pythonhosted.org/packages/source/p/python-dbusmock/python-dbusmock-%{version}.tar.gz
# Source0-md5:	870ef8d6bfadc2e908cfc6d20cb4f261
URL:		https://pypi.org/project/python-dbusmock/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-dbus
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, logind, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%description -l pl.UTF-8
Przy użyciu tej biblioteki Pythona można łatwo tworzyć obiekty atrap
na szynie D-Bus. Jest to przydatne do pisania testów oprogramowania
komunikującego się z usługami D-Bus, takimi jak upower, systemd,
logind, gnome-session itp., kiedy trudne jest (lub niemożliwe bez
uprawnień administratora) ustawienie stanu rzeczywistych usług na
oczekiwany w testach.

%prep
%setup -q -n python-dbusmock-%{version}

# hangs with accountsservice installed but not running
%{__sed} -i -e 's/AccountsService/DisabledService/' tests/test_accounts_service.py
# pylint fails
%{__sed} -i -e "s/'pylint'/'pylint-disabled'/" tests/test_code.py

%build
%py3_build

%if %{with tests}
PYTHONPATH=$(pwd) \
%{__python3} -m unittest discover -s tests
# discover -s tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%{py3_sitescriptdir}/dbusmock
%{py3_sitescriptdir}/python_dbusmock-%{version}-py*.egg-info
%changelog
* Thu Apr 14 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-dbusmock.git;a=log;h=master

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> 79cbbd2
- python-dbusmock.spec updated to 0.27.5 for python3

* Wed Apr 13 2022 Jakub Bogusz <qboosh@pld-linux.org> bf1d3c2
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 896b816
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 3609f60
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cb57a55
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2269968
- release 2 (by relup.sh)

* Fri Mar 06 2020 Jakub Bogusz <qboosh@pld-linux.org> a967358
- new

